Subject: Re: [Privacy-pass] BoF request procedure

From: Alex Davidson <[email-masked]>
Date: Thu, 6 Feb 2020 17:49:43 +0000

Just to follow-up on this, we can also start thinking about the agenda for the BoF meeting, along with suitable chairs. As I mentioned in the other thread, if we start work now on some initial draft documents based on the proposed charter, then this may eventually also feed into what the agenda may look like. I have come up with a tentative proposal here based on the allocated 2h time slot that we’re hoping to have:

- Introduction & meeting format: 10 mins
- Problem statements & use cases: 20 mins
	- What are the aims of the protocol?
	- Current applications of the protocol
- Key considerations: 60 mins
	- Protocol specification and messages
	- Public interfaces and architecture
	- Privacy challenges and goals
	- Integration with web architecture, e.g.:
		- HTTP
		- Key management
	- Framework for including extensions
- Specific extensions (e.g., prioritisation, how they should be specified): 20 mins
	- Hidden bit
	- Associated public data
	- Public verifiability
- Conclusions & the path forward: 10 mins

Happy to hear counter-proposals on this. I’ve intentionally left some of the topics a little broad, but we can be more specific nearer the time.

Regarding the selection of chairs, if anyone would specifically like to be considered, please do say so. In addition, any nominations would be welcome.

Alex

> On 28 Jan 2020, at 16:21, Steven Valdez <svaldez=[email-masked]> wrote:
> 
> Might be worth marking a conflict with Httpbis, given some of the domain overlap there, though not sure if there's much going on at 107 for Httpbis.
> 
> On Tue, Jan 28, 2020 at 8:18 AM Alex Davidson <adavidson=[email-masked] <mailto:[email-masked]>> wrote:
> I’ve created the BoF entry which states the requirements of the session here: https://trac.tools.ietf.org/bof/trac/wiki/WikiStart#Security <https://trac.tools.ietf.org/bof/trac/wiki/WikiStart#Security>. I’ve left the chairs and agenda blank until we agree on this.
> Also, if there are any other additional WG conflicts that should be noted then let me know and I will add them to the list.
> 
> Alex
> 
>> On 27 Jan 2020, at 13:55, Alex Davidson <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> I’ve spoken to the Security ADs and they have said that they would be already happy for the BoF to go ahead at IETF107 based on the discussion that was had at secdispatch@IETF106. I’m going to formally create the BoF request and then a bit further down the line we can discuss the logistics.
>> Having a formal call for participation would still be useful so I will put something together for this as well.
>> 
>> Alex
>> 
>>> On 22 Jan 2020, at 21:29, Nick Sullivan <nick=[email-masked] <mailto:nick=[email-masked]>> wrote:
>>> 
>>> I'm also interested in participating and would be willing to review/author documents.
>>> 
>>> Nick
>>> 
>>> On Wed, Jan 22, 2020 at 7:26 AM Mariana Raykova <marianar=[email-masked] <mailto:[email-masked]>> wrote:
>>> Hello,
>>> 
>>> I am interested in helping write and review documents. I believe Tancrede who is on vacation currently would also be interested to help. Call for participation sounds good to me too. So the number of people on the mailing list and the participation in the BoF session are the ways to demonstrate interest?
>>> 
>>> Mariana 
>>> 
>>> On Wed, Jan 22, 2020 at 9:36 AM Steven Valdez <svaldez=[email-masked] <mailto:[email-masked]>> wrote:
>>> Sending a call for participation would be good to get more people on this list. It might be useful to sync with the Security ADs to see what level of engagement they want to see before they approve a BoF.
>>> 
>>> Given the location, I suspect doing a BoF at 107 is more likely to get people able to participate in person, though having people attend IETF 107 virtually is still a useful metric for success and discussion..
>>> 
>>> 
>>> On Wed, Jan 22, 2020 at 8:50 AM Alex Davidson <adavidson=[email-masked] <mailto:[email-masked]>> wrote:
>>> Hi all,
>>> 
>>> The deadline for requesting a Bird-of-a-Feather (BoF) session at IETF 107 is on Feb 7 2020. The BoF session provides an initial discussion about the topic of interest and usually leads into the formulation of a working group.
>>> The process is laid out here: https://www.ietf.org/how/bofs/bof-procedures/ <https://www.ietf..org/how/bofs/bof-procedures/> and there are also some helpful considerations here in RFC5434 (https://datatracker.ietf.org/doc/rfc5434/ <https://datatracker.ietf..org/doc/rfc5434/>). 
>>> 
>>> From RFC5434, the goal of the BoF is to demonstrate the following:
>>> 
>>> ```
>>>       - there is a problem that needs solving, and the IETF is the right
>>>         group to attempt solving it.
>>> 
>>>       - there is a critical mass of participants willing to work on the
>>>         problem (e.g., write drafts, review drafts, etc.).
>>> 
>>>       - the scope of the problem is well defined and understood, that
>>>         is, people generally understand what the WG will work on (and
>>>         what it won't) and what its actual deliverables will be.
>>> 
>>>       - there is agreement that the specific deliverables (i.e.,
>>>         proposed documents) are the right set.
>>> 
>>>       - it is believed that the WG has a reasonable probability of
>>>         having success (i.e., in completing the deliverables in its
>>>         charter in a timely fashion).
>>> ```
>>> 
>>> Some of these points are covered by coming to an agreement on the charter, and following on from the discussion at secdispatch@IETF106. However, the most important relate to demonstrating that there is enough interest from the wider community in working on and solving the problem (this is also highlighted in Section 2 of RFC5434 <https://www.rfc-editor.org/rfc/rfc5434#section-2>). 
>>> 
>>> As a result, we we would really need to ascertain how many people are willing to help both the writing and reviewing of documents associated with the proposed Privacy Pass WG, as well as who would be willing to participate in-person at a proposed BoF event. A good way of accumulating more people would be send a “call for participation" around to some of the IETF mailing lists (e.g. secdispatch) calling for individuals who are interested in the area to join the mailing list and participate at the BoF session. If we manage to get a critical mass of people for both, then we will need to get an Area Director (for the Security area) to approve the request and we will need to agree on some suggested people for chairs and an agenda. 
>>> 
>>> In reality, time is running quite short before the next BoF so we will need to accumulate interest quite quickly if we want to make this IETF coming. If it is too soon, we would either have to aim for a virtual BoF, or an in-person BoF at IETF108.
>>> 
>>> Thanks,
>>> Alex
>>> -- 
>>> Privacy-pass mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/privacy-pass <https://www.ietf.org/mailman/listinfo/privacy-pass>
>>> 
>>> 
>>> -- 
>>> 
>>> Steven Valdez |	 Chrome Privacy Sandbox |	 [email-masked] <mailto:[email-masked]> |	 210-692-4742 <tel:(210)%20692-4742>-- 
>>> Privacy-pass mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/privacy-pass <https://www.ietf.org/mailman/listinfo/privacy-pass>
>>> -- 
>>> Privacy-pass mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/privacy-pass <https://www.ietf.org/mailman/listinfo/privacy-pass>
>> 
> 
> -- 
> Privacy-pass mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/privacy-pass <https://www.ietf.org/mailman/listinfo/privacy-pass>
> 
> 
> -- 
> 
> Steven Valdez |	 Chrome Privacy Sandbox |	 [email-masked] <mailto:[email-masked]> |	 210-692-4742
> -- 
> Privacy-pass mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/privacy-pass

---

From: Steven Valdez <[email-masked]>
Date: Thu, 6 Feb 2020 13:01:05 -0500

I'd maybe move the "Conclusions and path forward" earlier (before specific
extensions and maybe even the integration with web architecture), just so
that if we run short on time, we make sure to at least have a path forward.
Working out the integration with web architecture and specific extensions
seems less critical to get done during the BoF than making sure everyone is
on the same page for next steps.

On Thu, Feb 6, 2020 at 12:49 PM Alex Davidson <adavidson=
[email-masked]> wrote:

> Just to follow-up on this, we can also start thinking about the agenda for
> the BoF meeting, along with suitable chairs. As I mentioned in the other
> thread, if we start work now on some initial draft documents based on the
> proposed charter, then this may eventually also feed into what the agenda
> may look like. I have come up with a tentative proposal here based on the
> allocated 2h time slot that we’re hoping to have:
>
> Happy to hear counter-proposals on this. I’ve intentionally left some of
> the topics a little broad, but we can be more specific nearer the time.
>
> Regarding the selection of chairs, if anyone would specifically like to be
> considered, please do say so. In addition, any nominations would be welcome.
>
> Alex
>
> On 28 Jan 2020, at 16:21, Steven Valdez <
> svaldez=[email-masked]> wrote:
>
> Might be worth marking a conflict with Httpbis, given some of the domain
> overlap there, though not sure if there's much going on at 107 for Httpbis.
>
> On Tue, Jan 28, 2020 at 8:18 AM Alex Davidson <adavidson=
> [email-masked]> wrote:
>
>> I’ve created the BoF entry which states the requirements of the session
>> here: https://trac.tools.ietf.org/bof/trac/wiki/WikiStart#Security. I’ve
>> left the chairs and agenda blank until we agree on this.
>> Also, if there are any other additional WG conflicts that should be noted
>> then let me know and I will add them to the list.
>>
>> Alex
>>
>> On 27 Jan 2020, at 13:55, Alex Davidson <[email-masked]> wrote:
>>
>> I’ve spoken to the Security ADs and they have said that they would be
>> already happy for the BoF to go ahead at IETF107 based on the discussion
>> that was had at secdispatch@IETF106. I’m going to formally create the
>> BoF request and then a bit further down the line we can discuss the
>> logistics.
>> On 22 Jan 2020, at 21:29, Nick Sullivan <
>> nick=[email-masked]> wrote:
>>
>> On Wed, Jan 22, 2020 at 7:26 AM Mariana Raykova <marianar=
>> [email-masked] <[email-masked]>> wrote:
>>
>>> Hello,
>>>
>>> I am interested in helping write and review documents. I believe
>>> Tancrede who is on vacation currently would also be interested to help.
>>> Call for participation sounds good to me too. So the number of people on
>>> the mailing list and the participation in the BoF session are the ways to
>>> demonstrate interest?
>>>
>>> Mariana
>>>
>>> On Wed, Jan 22, 2020 at 9:36 AM Steven Valdez <svaldez=
>>> [email-masked]> wrote:
>>>
>>>> Sending a call for participation would be good to get more people on
>>>> this list. It might be useful to sync with the Security ADs to see what
>>>> level of engagement they want to see before they approve a BoF.
>>>>
>>>> Given the location, I suspect doing a BoF at 107 is more likely to get
>>>> people able to participate in person, though having people attend IETF 107
>>>> virtually is still a useful metric for success and discussion..
>>>>
>>>>
>>>> On Wed, Jan 22, 2020 at 8:50 AM Alex Davidson <adavidson=
>>>> [email-masked]> wrote:
>>>>
>>>>> Hi all,
>>>>>
>>>>> The deadline for requesting a Bird-of-a-Feather (BoF) session at IETF
>>>>> 107 is on Feb 7 2020. The BoF session provides an initial discussion about
>>>>> the topic of interest and usually leads into the formulation of a working
>>>>> group.
>>>>> The process is laid out here:
>>>>> https://www.ietf.org/how/bofs/bof-procedures/
>>>>> <https://www.ietf..org/how/bofs/bof-procedures/> and there are also
>>>>> some helpful considerations here in RFC5434 (
>>>>> https://datatracker.ietf.org/doc/rfc5434/
>>>>> <https://datatracker.ietf..org/doc/rfc5434/>).
>>>>>
>>>>> Some of these points are covered by coming to an agreement on the
>>>>> charter, and following on from the discussion at secdispatch@IETF106.
>>>>> However, the most important relate to demonstrating that there is enough
>>>>> interest from the wider community in working on and solving the problem
>>>>> (this is also highlighted in Section 2 of RFC5434
>>>>> <https://www.rfc-editor.org/rfc/rfc5434#section-2>).
>>>>>
>>>>> As a result, we we would really need to ascertain how many people are
>>>>> willing to help both the writing and reviewing of documents associated with
>>>>> the proposed Privacy Pass WG, as well as who would be willing to
>>>>> participate in-person at a proposed BoF event. A good way of accumulating
>>>>> more people would be send a “call for participation" around to some of the
>>>>> IETF mailing lists (e.g. secdispatch) calling for individuals who are
>>>>> interested in the area to join the mailing list and participate at the BoF
>>>>> session. If we manage to get a critical mass of people for both, then we
>>>>> will need to get an Area Director (for the Security area) to approve the
>>>>> request and we will need to agree on some suggested people for chairs and
>>>>> an agenda.
>>>>>
>>>>> In reality, time is running quite short before the next BoF so we will
>>>>> need to accumulate interest quite quickly if we want to make this IETF
>>>>> coming. If it is too soon, we would either have to aim for a virtual BoF,
>>>>> or an in-person BoF at IETF108.
>>>>>
>>>>> Thanks,
>>>>> Alex
>>>>> --
>>>> Steven Valdez |  Chrome Privacy Sandbox |  [email-masked] |
>>>> 210-692-4742 <(210)%20692-4742>
>>>> --
> Steven Valdez |  Chrome Privacy Sandbox |  [email-masked] |
> 210-692-4742 <(210)%20692-4742>
> --

-- 

Steven Valdez |  Chrome Privacy Sandbox |  [email-masked] |
 210-692-4742

---

From: Alex Davidson <[email-masked]>
Date: Mon, 10 Feb 2020 10:26:18 +0000

This makes sense, so we’d have something like this:

- Addendum: 20 mins (longer if we have more time)

> On 6 Feb 2020, at 18:01, Steven Valdez <svaldez=[email-masked]> wrote:
> 
> I'd maybe move the "Conclusions and path forward" earlier (before specific extensions and maybe even the integration with web architecture), just so that if we run short on time, we make sure to at least have a path forward. Working out the integration with web architecture and specific extensions seems less critical to get done during the BoF than making sure everyone is on the same page for next steps.
> 
> 
> On Thu, Feb 6, 2020 at 12:49 PM Alex Davidson <adavidson=[email-masked] <mailto:[email-masked]>> wrote:
>> On 28 Jan 2020, at 16:21, Steven Valdez <svaldez=[email-masked] <mailto:svaldez=[email-masked]>> wrote:
>>